## com.sun.jersey.api.client.filter
Class HTTPDigestAuthFilter

    java.lang.Object
      com.sun.jersey.api.client.filter.ClientFilter
          com.sun.jersey.api.client.filter.HTTPDigestAuthFilter

All Implemented Interfaces:
  ClientHandler

    public final class HTTPDigestAuthFilter

extends ClientFilter

Client filter adding HTTP Digest authentication headers in the request

Author:
  raphael.jolivet@gmail.com

Constructor Summary
`HTTPDigestAuthFilter(java.lang.String user, byte[] password)` Creates a new HTTP Digest Authentication filter using provided username and password credentials.
`HTTPDigestAuthFilter(java.lang.String user, java.lang.String password)` Creates a new HTTP Digest Authentication filter using provided username and password credentials.

Method Summary
`ClientResponse` | `handle(ClientRequest request)` Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

Methods inherited from class com.sun.jersey.api.client.filter.ClientFilter
`getNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPDigestAuthFilter

    public HTTPDigestAuthFilter(java.lang.String user,
                                java.lang.String password)

  Creates a new HTTP Digest Authentication filter using provided username and password credentials.

  Parameters:
    `user` - username
    `password` - password

### HTTPDigestAuthFilter

    public HTTPDigestAuthFilter(java.lang.String user,
                                byte[] password)

  Creates a new HTTP Digest Authentication filter using provided username and password credentials. This constructor allows you to avoid storing plain password value in a String variable.

  Parameters:
    `user` - username
    `password` - password

Method Detail

### handle

    public ClientResponse handle(ClientRequest request)
                          throws ClientHandlerException

  Description copied from interface: `ClientHandler`
  Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

  Specified by:
    `handle` in interface `ClientHandler`
  Specified by:
    `handle` in class `ClientFilter`
  Parameters:
    `request` - the HTTP request.
  Returns:
    the HTTP response.
  Throws:
    `ClientHandlerException` - if the client handler fails to process the request or response.

Copyright © 2017 Oracle Corporation. All Rights Reserved.